System Configuration Utility overview

XOX

System Configuration Utility (Msconfig.exe) automates the routine troubleshooting steps that Microsoft Product Support Services technicians use when diagnosing Windows configuration issues. You can use this tool to modify the system configuration through a process of elimination with check boxes, reducing the risk of typing errors.

You can use System Restore to undo harmful changes to your computer. To open System Restore from System Configuration Utility, on the General tab, click Launch System Restore. XOX

Warning

  • Microsoft strongly recommends that you do not use System Configuration Utility to modify the Boot.ini file on your computer without the direction of a Microsoft support professional. Doing so may render your computer unusable.

What’s next?

Create a clean environment for troubleshooting

Related Topics


Create a clean environment for troubleshooting

Microsoft Windows graphic

To create a clean environment for troubleshooting

XOX

  1. On the General tab, click Diagnostic startup - load basic devices and services only, click OK, and then click Restart to restart your computer.
  2. After Windows starts, determine whether the symptoms are still present.

Note

  • You may want to print this Help topic before restarting your computer, because you will not be able to open Help during startup.

What's next?

The problem was reproduced

The problem was not reproduced


Investigating other possible causes of a problem

XOX

If a problem still exists after you perform a diagnostic startup, investigate the possible causes listed below. XOX

  • A file is missing, corrupted, or has been replaced. Refer to the System File Checker tool to investigate this option.
  • Your registry may be corrupted. Refer to the Registry Scan and Backup Utility to investigate this option.
  • Your computer may be infected with a virus. Search the Web, using virus as a keyword, for information about virus-scanning software.
  • An upgrade from a previous version of Windows was unsuccessful.


Isolate problems using Selective Startup options

To isolate problems using Selective Startup options

XOX

  1. On the General tab, click Selective Startup, and then clear all of the subsequent check boxes. You will not be able to clear the Use Original BOOT.INI check box.
  2. Starting with the first available check box (Process SYSTEM.INI File), select each check box one at a time, and restart the computer as prompted until the problem is reproduced.
  3. Once the problem reappears, click the tab that corresponds to the selected file. For example, if the problem reappears after selecting the Win.ini file, click the WIN.INI tab in System Configuration Utility.

Notes

  • You may want to print this Help topic before restarting your computer, because you will not be able to open Help during startup.
  • Begin troubleshooting by selecting the first check box under Selective Startup, and then restart the computer as prompted.

What's next?

The problem was reproduced

The problem was not reproduced


Isolate problems using system startup options

To isolate problems using system startup options

XOX

  1. On the General tab, click Selective Startup.
  2. Clear the Process SYSTEM.INI File, Process WIN.INI File, and Load System Services check boxes. You will not be able to clear the Use Original BOOT.INI check box.
  3. To test the software loading process, make sure the Load Startup Items check box is selected, and then click OK.
  4. Restart the computer as prompted

Note

  • You may want to print this Help topic before restarting your computer, because you will not be able to open Help during startup.

What's next?

The problem was reproduced

The problem was not reproduced


Isolate problems using the Startup tab

To isolate problems using the Startup tab

XOX

  1. Click the Startup tab.
  2. To begin troubleshooting, clear all check boxes.
  3. Starting with the first check box, select the check boxes one at a time, and then restart the computer as prompted until the symptoms can be reproduced.

Notes

  • You may want to print this Help topic before restarting your computer, because you will not be able to open Help during startup.
  • The Startup tab lists items loading at startup from the Startup group, Win.ini load= and run=, and the registry.


Identifying problems using system file tabs

XOX

The System.ini and Win.ini tabs intelligently identify settings and minimize the risks inherent in editing configuration files. Unavailable check boxes indicate lines temporarily removed by System Configuration Utility.

Note

  • The System.ini and Win.ini tabs identify sections with check boxes. Entire sections can be temporarily removed by clearing the check box for the corresponding section.